---
search:
  tags:
    - dcs-clusters
    - GET
seo:
  description: >-
    Live etcd member, quorum and dependent service health of a… Reference for
    the GET /api/v1/dcs-clusters/{id}/health endpoint in the TimescaleDB
    Enterprise API.
  noindex: true
sidebar:
  label: Get DCS cluster health
  badge: GET
title: Get DCS cluster health
type: openapi-operation
---
Live etcd member, quorum and dependent service health of a DCS cluster.

`GET /api/v1/dcs-clusters/{id}/health`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "console_mesh_down": true,
  "error": "string",
  "members": [
    {
      "cause": "down",
      "db_size_bytes": 0,
      "error": "string",
      "healthy": true,
      "host": "string",
      "is_leader": true,
      "member_name": "string",
      "overlay_ip": "string",
      "previous_server_id": "string",
      "previous_server_name": "string",
      "raft_index": 0,
      "raft_term": 0,
      "reachable": true,
      "rebuild_error": "string",
      "rebuild_pending": true,
      "rebuild_state": "string",
      "server_id": "string",
      "server_name": "string",
      "version": "string"
    }
  ],
  "quorum": {
    "at_risk": true,
    "healthy": 0,
    "needed": 0,
    "size": 0
  },
  "services": [
    {
      "id": "string",
      "name": "string",
      "status": "string"
    }
  ],
  "status": "healthy"
}
```
